<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<?php

		// Display any messaages

		if (isset($_GET['message']) && $_GET['message'] != '') {

			$status = isset($_GET['status']) ? $_GET['status'] : 'warning';

			?>
			<div class="alert alert-<?php echo $status; ?> alert-dismissible" role="alert">
				<button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
				<?php echo $_GET['message']; ?>
			</div>
			<?php

		}?>

		<h1 id="nnr-heading" class="<?php echo self::$prefix_dash; ?>heading"><?php _e('CTAs', self::$text_domain); ?>
			<small>
				<a class="nnr-heading-button-left btn btn-info pull-left" href="<?php echo get_admin_url() . 'admin.php?page=' . self::$add_new_page; ?>"><?php _e('Add New', self::$text_domain); ?></a>
			</small>
		</h1>

        <form method="GET">
        	<?php $nnrobots_content_fire_list_table->prepare_items(); ?>
			<?php $nnrobots_content_fire_list_table->display(); ?>
		</form>

		<!-- Modal Popup for the delete confirmation -->

		<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
			<div class="modal-dialog">
				<div class="modal-content" style="margin-top: 25%;">
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
						<h4 class="modal-title"><?php _e('Delete CTA', self:: $text_domain); ?></h4>
					</div>
					<div class="modal-body">
						<p></p>
					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
						<button id="modal-success" type="button" class="btn btn-danger"><?php _e('Delete', self:: $text_domain); ?></button>
					</div>
				</div><!-- /.modal-content -->
			</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->

	</div>

	<?php require_once('footer.php'); ?>

</div>