<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<!-- All CTAs Today Stats -->

		<?php if (!isset($_GET['content_fire_name'])) { ?>

			<h1 id="nnr-heading"><?php _e('CTA Stats', self::$text_domain); ?></h1>

			<div class="col-xs-4" style="padding: 0px 0px 30px 0px;">
				<input style="margin-top: 0px;" id="<?php echo self::$prefix_dash; ?>send-weekly-email" name="<?php echo self::$prefix_dash; ?>send-weekly-email" type="checkbox" <?php echo isset($global_settings['send_weekly_email']) && $global_settings['send_weekly_email'] ? 'checked="checked"' : ''; ?>>
				<label for="<?php echo self::$prefix_dash; ?>send-weekly-email">
		            <span class="fa-stack fa-lg">
		                <i class="fa fa-square-o fa-stack-1x"></i>
		                <i class="fa fa-check fa-stack-1x"></i>
		            </span>
		        </label>
				<span><?php _e("Send Weekly Email", self::$text_domain); ?></span>
			</div>

			<div id="<?php echo self::$prefix_dash; ?>before-table" class="col-xs-8">
				<form method="get" class="form-inline" role="form">

					<?php

					// Format dates

					$start_date = isset($_GET[self::$prefix_dash . "start-date"]) && $_GET[self::$prefix_dash . "start-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "start-date"])) :
									date('m/d/Y', mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));

					$end_date = isset($_GET[self::$prefix_dash . "end-date"]) && $_GET[self::$prefix_dash . "end-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "end-date"])) :
									date("m/d/Y", strtotime(current_time('mysql')));

					?>

					<input class="hidden" name="page" value="<?php echo self::$stats_page; ?>"/>
					<input type="submit" value="<?php _e("Apply", self::$text_domain); ?>" class="pull-right btn btn-primary"/>

					<!-- End Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-end-datepicker" id="<?php echo self::$prefix_dash; ?>end-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

					<!-- Start Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-start-datepicker" id="<?php echo self::$prefix_dash; ?>start-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

				</form>
			</div>

			<div id="<?php echo self::$prefix_dash; ?>loading-stats">
				<div class="fa fa-spinner fa-spin"></div>
			</div>

		<?php } else if (!isset($_GET['action'])) { ?>

			<h1 id="nnr-heading">
				<?php _e($_GET['content_fire_name'] . ' Stats', self::$text_domain); ?>
				<small>
					<a href="<?php echo admin_url() . 'admin.php?page=' . self::$stats_page; ?>" class="btn btn-primary nnr-heading-button-left"><?php _e('All CTAs', self::$text_domain); ?></a>
				</small>
			</h1>

			<div id="<?php echo self::$prefix_dash; ?>before-table" class="col-xs-12">

				<form method="get" class="form-inline" role="form">

					<?php

					// Format dates

					$start_date = isset($_GET[self::$prefix_dash . "start-date"]) && $_GET[self::$prefix_dash . "start-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "start-date"])) :
									date('m/d/Y', mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));

					$end_date = isset($_GET[self::$prefix_dash . "end-date"]) && $_GET[self::$prefix_dash . "end-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "end-date"])) :
									date("m/d/Y", strtotime(current_time('mysql')));

					?>

					<input class="hidden" name="content_fire_id" value="<?php echo $_GET['content_fire_id']; ?>"/>
					<input class="hidden" name="content_fire_name" value="<?php echo $_GET['content_fire_name']; ?>"/>
					<input class="hidden" name="page" value="<?php echo self::$stats_page; ?>"/>
					<a style="margin-left: 15px;" href="<?php echo wp_nonce_url(admin_url() . 'admin.php?page=' . self::$stats_page . '&content_fire_id=' . $_GET['content_fire_id'] . '&content_fire_name=' . $_GET['content_fire_name'] . '&export_data=true&nnr-cf-start-date=' . $start_date . '&nnr-cf-end-date=' . $end_date, self::$prefix . 'export_data') ;?>" target="_blank" role="button" class="pull-right btn btn-primary"><?php _e('Export Data', self::$text_domain); ?></a>
					<input type="submit" value="<?php _e("Apply", self::$text_domain); ?>" class="pull-right btn btn-primary"/>

					<!-- End Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-end-datepicker" id="<?php echo self::$prefix_dash; ?>end-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

					<!-- Start Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-start-datepicker" id="<?php echo self::$prefix_dash; ?>start-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

				</form>

			</div>

			<div id="<?php echo self::$prefix_dash; ?>loading-stats">
				<div class="fa fa-spinner fa-spin"></div>
			</div>

		<?php } else { ?>

			<h1 id="nnr-heading"><?php _e('A/B Test', self::$text_domain); ?></h1>

			<?php if (isset($content_fire['args']['ab_testing']['active']) && $content_fire['args']['ab_testing']['active'] &&
						isset($content_fire['args']['ab_testing']['content_fire_id']) && $content_fire['args']['ab_testing']['content_fire_id'] != '') {

				$ab_content_fire = $nnrobots_content_fire_db->get_data_from_id($content_fire['args']['ab_testing']['content_fire_id']);

				?>

				<form method="get" class="form-inline col-xs-12" role="form">

					<?php

					// Format dates

					$start_date = isset($_GET[self::$prefix_dash . "start-date"]) && $_GET[self::$prefix_dash . "start-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "start-date"])) :
									date('m/d/Y', mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));

					if ($start_date < $content_fire['args']['ab_testing']['start_date']) {
						$start_date = date('m/d/Y', strtotime($content_fire['args']['ab_testing']['start_date']));
					}

					$end_date = isset($_GET[self::$prefix_dash . "end-date"]) && $_GET[self::$prefix_dash . "end-date"] != '' ?
									date('m/d/Y', strtotime($_GET[self::$prefix_dash . "end-date"])) :
									date("m/d/Y", strtotime(current_time('mysql')));

					?>

					<input class="hidden" name="action" value="ab-testing"/>
					<input class="hidden" name="content_fire_id" value="<?php echo $_GET['content_fire_id']; ?>"/>
					<input class="hidden" name="content_fire_name" value="<?php echo $_GET['content_fire_name']; ?>"/>
					<input class="hidden" name="ab_content_fire_id" value="<?php echo $ab_content_fire['id']; ?>"/>
					<input class="hidden" name="ab_content_fire_name" value="<?php echo $ab_content_fire['name']; ?>"/>
					<input class="hidden" name="page" value="<?php echo self::$stats_page; ?>"/>
					<input type="submit" value="<?php _e("Apply", self::$text_domain); ?>" class="pull-right btn btn-primary"/>

					<!-- End Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-end-datepicker" id="<?php echo self::$prefix_dash; ?>end-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

					<!-- Start Date -->

					<div class="form-group pull-right">
						<div class="input-group date <?php echo self::$prefix_dash; ?>export-start-datepicker" id="<?php echo self::$prefix_dash; ?>start-datepicker">
							<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
							<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
							</span>
						</div>
					</div>

				</form>


				<div class="col-xs-12">

				<?php if ($_GET['content_fire_id'] < $ab_content_fire['id']) { ?>
					<div class="col-sm-6 text-center" style="margin-top: 20px;">
						<span class="fa-stack fa-sm" style="font-size: 36px;">
			        		<i class="fa fa-circle fa-stack-2x"></i>
							<i class="fa fa-stack-1x" style="color: white;font-weight: bold;position: relative;top: -1px;">A</i>
						</span>
					</div>
					<div class="col-sm-6 text-center" style="margin-top: 20px;">
						<span class="fa-stack fa-sm" style="font-size: 36px;">
			        		<i class="fa fa-circle fa-stack-2x"></i>
							<i class="fa fa-stack-1x" style="color: white;font-weight: bold;position: relative;top: -1px;">B</i>
						</span>
					</div>
				<?php } else { ?>
					<div class="col-sm-6 text-center" style="margin-top: 20px;">
						<span class="fa-stack fa-sm" style="font-size: 36px;">
			        		<i class="fa fa-circle fa-stack-2x"></i>
							<i class="fa fa-stack-1x" style="color: white;font-weight: bold;position: relative;top: -1px;">B</i>
						</span>
					</div>
					<div class="col-sm-6 text-center" style="margin-top: 20px;">
						<span class="fa-stack fa-sm" style="font-size: 36px;">
			        		<i class="fa fa-circle fa-stack-2x"></i>
							<i class="fa fa-stack-1x" style="color: white;font-weight: bold;position: relative;top: -1px;">A</i>
						</span>
					</div>
				<?php } ?>

				</div>

				<h1 class="col-xs-6 text-center">
					<?php _e($_GET['content_fire_name'], self::$text_domain); ?>
				</h1>

				<h1 class="col-xs-6 text-center">
					<?php _e($ab_content_fire['name'], self::$text_domain); ?>
				</h1>

				<div id="<?php echo self::$prefix_dash; ?>before-table" class="col-xs-12">
				</div>

				<div id="<?php echo self::$prefix_dash; ?>loading-stats">
					<div class="fa fa-spinner fa-spin"></div>
				</div>

			<?php }

		} ?>

	</div>

	<?php require_once('footer.php'); ?>

</div>